function outpic = linearise_foveon_pic(fovpic)
% a value of trun = 0 does not truncate the results.

[row col pla]=size(fovpic);

% Polynomial transformation parameters
T = [ 1.31768E+07	1.19493E+00	-2.50396E-04	-6.01706E+02;
    1.70447E+07	    1.26039E+00	-4.28483E-04	-9.11077E+02;
    1.92332E+07	    1.26711E+00	-3.27603E-04	-6.80814E+02];

if pla==3
    outpic(:,:,1) = ((fovpic(:,:,1)- T(1,4))./T(1,1)).^(1/T(1,2)) + T(1,3);
    outpic(:,:,2) = ((fovpic(:,:,2)- T(2,4))./T(2,1)).^(1/T(2,2)) + T(2,3);
    outpic(:,:,3) = ((fovpic(:,:,3)- T(3,4))./T(3,1)).^(1/T(3,2)) + T(3,3);
elseif col==3
    outpic(:,1) = ((fovpic(:,1)- T(1,4))./T(1,1)).^(1/T(1,2)) + T(1,3);
    outpic(:,2) = ((fovpic(:,2)- T(2,4))./T(2,1)).^(1/T(2,2)) + T(2,3);
    outpic(:,3) = ((fovpic(:,3)- T(3,4))./T(3,1)).^(1/T(3,2)) + T(3,3);
else
    error('wrong matrix size');
end    
